Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.elang.xpath10.compiler
Class XPathMessages

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.bpel.compiler.api.CompilationMessageBundle
                  org.apache.ode.bpel.elang.xpath10.compiler.XPathMessages

    public class XPathMessages

extends CompilationMessageBundle

Compilation messages related to XPath 1.0 expressions.

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`XPathMessages()`

Method Summary
`CompilationMessage` | `errEmptyExpression(java.net.URI docUri, javax.xml.namespace.QName elementName)` Empty query
`CompilationMessage` | `errExpressionMessageNoPart(java.lang.String message)` Invalid number of argument to function "{0}".
`CompilationMessage` | `errInvalidNumberOfArguments(java.lang.String functionName)` Invalid number of argument to function "{0}".
`CompilationMessage` | `errInvalidQName(java.lang.String qnameStr)` The prefixed name "{0}" could not be dereferenced in this namespace context.
`CompilationMessage` | `errLiteralExpected(java.lang.String text)` The expression "{0}" must be a literal string.
`CompilationMessage` | `errUnconfigurableXPathFactory()`
`CompilationMessage` | `errUndeclaredFunctionPrefix(java.lang.String prefix, java.lang.String functionName)` The prefix "{0}" on the XPath function "{1}" is not bound to a URI.
`CompilationMessage` | `errUnexpectedCompilationError(java.lang.String string)` Unexpected compilator error: {0}
`CompilationMessage` | `errUnexpectedNodeTypeForXPath(java.lang.String string)` The XPath node with value "{0}" was not a text node.
`CompilationMessage` | `errUnknownBpelFunction(java.lang.String functionName)` Attempt to use an unrecognized BPEL function "{0}".
`CompilationMessage` | `errXPathSyntax(java.lang.String xPathString)` The string "{0}" is not a valid XPath 1.0 expression.
`CompilationMessage` | `errXslCompilation(java.lang.String xslName, java.lang.String error)` Error compiling XSL Sheet "{0}" : {1}.
`CompilationMessage` | `errXsltStylesheetNotFound(java.lang.String string)` bpws:xsltStylesheetNotFound the declared stylesheet could not be found: {0}
`CompilationMessage` | `warnXPath20Syntax(java.lang.String xPathString, java.lang.String message)` The string "{0}" is not a valid XPath 1.0 expression.

Methods inherited from class org.apache.ode.bpel.compiler.api.CompilationMessageBundle
`formatCompilationMessage`

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathMessages

    public XPathMessages()

Method Detail

### errUnconfigurableXPathFactory

    public CompilationMessage errUnconfigurableXPathFactory()

### errInvalidNumberOfArguments

    public CompilationMessage errInvalidNumberOfArguments(java.lang.String functionName)

  Invalid number of argument to function "{0}".

### errXslCompilation

    public CompilationMessage errXslCompilation(java.lang.String xslName,
                                                java.lang.String error)

  Error compiling XSL Sheet "{0}" : {1}.

### errUnknownBpelFunction

    public CompilationMessage errUnknownBpelFunction(java.lang.String functionName)

  Attempt to use an unrecognized BPEL function "{0}".

### errLiteralExpected

    public CompilationMessage errLiteralExpected(java.lang.String text)

  The expression "{0}" must be a literal string.

### errUndeclaredFunctionPrefix

    public CompilationMessage errUndeclaredFunctionPrefix(java.lang.String prefix,
                                                          java.lang.String functionName)

  The prefix "{0}" on the XPath function "{1}" is not bound to a URI.

### errInvalidQName

    public CompilationMessage errInvalidQName(java.lang.String qnameStr)

  The prefixed name "{0}" could not be dereferenced in this namespace context.

### errXPathSyntax

    public CompilationMessage errXPathSyntax(java.lang.String xPathString)

  The string "{0}" is not a valid XPath 1.0 expression.

### warnXPath20Syntax

    public CompilationMessage warnXPath20Syntax(java.lang.String xPathString,
                                                java.lang.String message)

  The string "{0}" is not a valid XPath 1.0 expression.

### errUnexpectedNodeTypeForXPath

    public CompilationMessage errUnexpectedNodeTypeForXPath(java.lang.String string)

  The XPath node with value "{0}" was not a text node.

### errUnexpectedCompilationError

    public CompilationMessage errUnexpectedCompilationError(java.lang.String string)

  Unexpected compilator error: {0}

### errXsltStylesheetNotFound

    public CompilationMessage errXsltStylesheetNotFound(java.lang.String string)

  bpws:xsltStylesheetNotFound the declared stylesheet could not be found: {0}

### errExpressionMessageNoPart

    public CompilationMessage errExpressionMessageNoPart(java.lang.String message)

  Invalid number of argument to function "{0}".

### errEmptyExpression

    public CompilationMessage errEmptyExpression(java.net.URI docUri,
                                                 javax.xml.namespace.QName elementName)

  Empty query

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD